summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-01-20 07:32:59 +0100
committerHans de Graaff <graaff@gentoo.org>2019-01-20 07:54:00 +0100
commit6a6739b042de24522b95e9a44898d7013da2361d (patch)
tree2676b5967cf0773cdb3ef03c107b42d5dbf66ccc /dev-ruby/cri
parentx11-drivers/xf86-input-evdev: regenerate Manifest (diff)
downloadgentoo-6a6739b042de24522b95e9a44898d7013da2361d.tar.gz
gentoo-6a6739b042de24522b95e9a44898d7013da2361d.tar.bz2
gentoo-6a6739b042de24522b95e9a44898d7013da2361d.zip
dev-ruby/cri: add 2.15.3
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/cri')
-rw-r--r--dev-ruby/cri/Manifest1
-rw-r--r--dev-ruby/cri/cri-2.15.3.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/cri/Manifest b/dev-ruby/cri/Manifest
index efd1e6e2ede..1b61239d6c5 100644
--- a/dev-ruby/cri/Manifest
+++ b/dev-ruby/cri/Manifest
@@ -3,4 +3,5 @@ DIST cri-2.14.0.gem 32768 BLAKE2B 08c0a2bcbde8d01187e310020e95eb3fb0f41596f1b305
DIST cri-2.15.0.gem 32256 BLAKE2B 995cc9e457724c540c8ae5817d6b62d7064dd19a7734fda70fc5e644dc64077ca124572cca0d2caa6858d58f28c0fab2fafc939946b06f2d31982adb169ff9dc SHA512 7325781d9fe54ba3269d0b64f8e7eb8228171aad553f9ab10fafdae4f927f6deb7061ced798e010d50e849198744c8377de3bf5a29b7c25dc45c2fee9049dfad
DIST cri-2.15.1.gem 32768 BLAKE2B d1f829443a724a6d72f13effb279d8578ebdc4ca0b354f3285d68693eae1e6514cb0bcf831ed0068df72469f3be4b21af61a68056dc8c5fb105991cb677e906e SHA512 6ce36b74391d9635094614f5fc33738d65e40b8796caae3e39d4bc170d6f9f4bc5b2b944d36d79b453f9ba7715e2858b27f1c7433b53ce0bcf2fe748153d75a6
DIST cri-2.15.2.gem 33792 BLAKE2B 778f115db95cc0d4678a1a5805aa8bfe6208f3518fdf593efc61e51d5e6cc611ac88e1a6d66d1dfd231dcf31198b08dfc3f9f6ae1f2896e7a68083e96fbb318a SHA512 75e9e8e0107879aff62be8ec07eee1f37996c42a1077955f444e1b1da320c59cf272692cb33c4a197bcdbdc994b7e17dfb4de5accc41c6a2165b89a17f1b28e2
+DIST cri-2.15.3.gem 33792 BLAKE2B 3496347dbec0a8224993fb1533e782c34211d0ee5dcbd560ae7c7405109faeb70bd68aaaae0741f9fa76a5354c61c134ca17b7f166a5cea5fa9908cd45d20a17 SHA512 76580197348f6d504cb532d54d0f17da162d58569b9ef953079c5ff6fa5b3ba500b072ed4219a842f0f5de04d6e208c0fecbd8e553174cb968010e24904ecd6c
DIST cri-2.7.1.gem 25088 BLAKE2B 20317d886401d6d5f034c27396cad2fdaf322246c319ef3cadc3e38169dbc00c83771fdb2d564efd0ca386b916a0bc2d8cf283742ccd18ca390e491a84f5e31f SHA512 37d641390dc83550c254b3c48018f7f2c53f73161807c299cb78ef84b8625e5f00cd8c877ac464ece5c6623d7118872c45648ed56c2bd5f53ae62cd66b8e24d1
diff --git a/dev-ruby/cri/cri-2.15.3.ebuild b/dev-ruby/cri/cri-2.15.3.ebuild
new file mode 100644
index 00000000000..cd9c9f09d54
--- /dev/null
+++ b/dev-ruby/cri/cri-2.15.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Cri is a library for building easy-to-use commandline tools"
+HOMEPAGE="https://rubygems.org/gems/cri"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/colored-1.2"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/yard dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -e '/coveralls/I s:^:#:' -i test/helper.rb || die
+ sed -i -e '/rubocop/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S rake test_unit || die
+}